Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.util.statistics
Class SessionStatisticsCache

    java.lang.Object
      oracle.ifs.core.util.statistics.SessionStatisticsCache

    public class SessionStatisticsCache

extends java.lang.Object

A SessionStatisticsCache manages and reports on session statistics for session in use on the current node.

Method Summary
`void` | `addApplicationSession(long appSessionId, long userIdval, java.lang.String appName)` Receive notification of the creation of an application (FDK) session.
`void` | `addLibrarySession(LibrarySession session)` Receive notification of a connect of a LibrarySession.
`static SessionStatisticsCache` | `getInstance()` Get the singleton instance of SessionStatisticsCache.
`SessionStatistics` | `getSessionStatistics(LibrarySession session)` Get the session statistics for sessions active on this node.
`void` | `removeApplicationSession(long appSessionId, long userIdval)` Receive notification of the deletion of an application (FDK) session.
`void` | `removeLibrarySession(LibrarySession session)` Receive notification of the disconnect of a LibrarySession.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static SessionStatisticsCache getInstance()

  Description copied from class: `SessionStatisticsCache`
  Get the singleton instance of SessionStatisticsCache.

  Returns:
    the SessionStatisticsCache singleton

### addApplicationSession

    public void addApplicationSession(long appSessionId,
                                      long userIdval,
                                      java.lang.String appName)
                               throws IfsException

  Description copied from class: `SessionStatisticsCache`
  Receive notification of the creation of an application (FDK) session.

  Parameters:
    `appSessionId` - the application session ID
    `userIdval` - the user ID
    `appName` - the application name
  Throws:
    `IfsException` - if the operation fails

### removeApplicationSession

    public void removeApplicationSession(long appSessionId,
                                         long userIdval)
                                  throws IfsException

  Description copied from class: `SessionStatisticsCache`
  Receive notification of the deletion of an application (FDK) session.

  Parameters:
    `appSessionId` - the application session ID
    `userIdval` - the user ID
  Throws:
    `IfsException` - if the operation fails

### addLibrarySession

    public void addLibrarySession(LibrarySession session)
                           throws IfsException

  Description copied from class: `SessionStatisticsCache`
  Receive notification of a connect of a LibrarySession.

  Parameters:
    `session` - the LibrarySession context
  Throws:
    `IfsException` - if the operation fails

### removeLibrarySession

    public void removeLibrarySession(LibrarySession session)
                              throws IfsException

  Description copied from class: `SessionStatisticsCache`
  Receive notification of the disconnect of a LibrarySession.

  Parameters:
    `session` - the LibrarySession context
  Throws:
    `IfsException` - if the operation fails

### getSessionStatistics

    public SessionStatistics getSessionStatistics(LibrarySession session)
                                           throws IfsException

  Description copied from class: `SessionStatisticsCache`
  Get the session statistics for sessions active on this node.

  Parameters:
    `session` - the LibrarySession context
  Returns:
    a SessionStatistics that represents the current statistics for sessions active on this node
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD